Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class DefaultActionDispatcher

    java.lang.Object
      jpicedt.graphic.toolkit.DefaultActionDispatcher

All Implemented Interfaces:
  ActionDispatcher

public class DefaultActionDispatcher
extends Object
implements ActionDispatcher

An implementation of the ActionDispatcher interface that's suited for non-shared PEAction's (ie actions which are permanently "attached" to a given PECanvas).

Since:
  jPicEdt 1.3.2
Version:
  $Id: DefaultActionDispatcher.java,v 1.6.2.1 2007/09/02 11:56:28 reynal Exp $
Author:
  Sylvain Reynal

Constructor Summary
`DefaultActionDispatcher(PECanvas target)` Builds an ActionDispatcher which permanently dispatches events to the given PECanvas.

Method Summary
`PECanvas` | `getTarget()` Returns the PECanvas upon which a PEAction should act.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultActionDispatcher

    public DefaultActionDispatcher(PECanvas target)

  Builds an ActionDispatcher which permanently dispatches events to the given PECanvas.

Method Detail

### getTarget

    public PECanvas getTarget()

  Returns the PECanvas upon which a PEAction should act. This implementation simply returns the target that was provided to the constructor.

  Specified by:
    `getTarget` in interface `ActionDispatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org